Bug 280741 - Bad layout - Example files contain no newline
Bad layout - Example files contain no newline
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Documentation (Show other bugs)
4.5
All Linux
medium Severity low
: ---
: ---
Assigned To: Don Domingo
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 11:17 EDT by Giacomo Montagner
Modified: 2009-08-19 23:28 EDT (History)
0 users

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 20:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giacomo Montagner 2007-09-06 11:17:10 EDT
Description of problem:
This bug is found in: Red Hat Enterprise Linux AS, ES, WS and Red Hat Desktop 
(version 4) - Reference Guide 4.5.0 (May 14, 2007) - 
https://www.redhat.com/docs/manuals/enterprise/
at least in chapter "12. Berkeley Internet Name Domain (BIND)"

Example files reported along the documentation contain no newline and so appear
on a single line. 
In html format the text is fully visible thanks to horizontal scrolling, but it 
is not readable, expecially if there are no line termination characters (such as 
";", for example) and reader cannot guess where a line ends. 
In pdf format the line gets cut at the boundary of the paper page, so every 
example is cut. 

Version-Release number of selected component (if applicable):
4.5.0
  
Actual results:
Unreadable example files, for example (taken from: 12.3.4. Reverse Name 
Resolution Zone Files):
$ORIGIN 1.0.10.in-addr.arpa. $TTL 86400 @ IN SOA dns1.example.com.
hostmaster.example.com. ( 2001062501 ; serial 21600 ; refresh after 6 hours 3600
; retry after 1 hour 604800 ; expire after 1 week 86400 ) ; minimum TTL of 1 day
IN NS dns1.example.com. IN NS dns2.example.com. 20 IN PTR alice.example.com. 21
IN PTR betty.example.com. 22 IN PTR charlie.example.com. 23 IN PTR
doug.example.com. 24 IN PTR ernest.example.com. 25 IN PTR fanny.example.com. 

Expected results:
Using above example:
$ORIGIN 1.0.10.in-addr.arpa. 
$TTL 86400 
@ IN SOA dns1.example.com. hostmaster.example.com. ( 
    2001062501 ; serial 
    21600 ; refresh after 6 hours 
    3600 ; retry after 1 hour 
    604800 ; expire after 1 week 
    86400 ) ; minimum TTL of 1 day 

    IN NS dns1.example.com. 
    IN NS dns2.example.com. 

20 IN PTR alice.example.com. 
21 IN PTR betty.example.com. 
22 IN PTR charlie.example.com. 
23 IN PTR doug.example.com. 
24 IN PTR ernest.example.com. 
25 IN PTR fanny.example.com. 

Additional info:
I found this problem in chapter 12, did not dig any further inside doc to verify
if there are other exaples affected by the bad layout.
Comment 1 Don Domingo 2007-09-11 20:59:28 EDT
Hi Giacomo,

Reference Guide PDF has been rebuilt and pushed to live; boxed text should now
be fixed throughout the document, meaning it doesn't terminate off-page now.
changes should reflect within the next 24 hours (same link).

resolving this bug. please advise if anything else needs work WRT this issue.
thanks!

Note You need to log in before you can comment on or make changes to this bug.